Skip to main content
`Ctrl`+`K`

# PetscSubcommGetParent

Gets the communicator that was used to create the `PetscSubcomm`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSubcommGetParent(PetscSubcomm scomm, MPI_Comm *pcomm)

Collective

## Input Parameter

- scomm - the `PetscSubcomm`

## Output Parameter

- pcomm - location to store the parent communicator

## See Also

`PetscSubcommDestroy()`, `PetscSubcommSetTypeGeneral()`, `PetscSubcommSetFromOptions()`, `PetscSubcommSetType()`, `PetscSubcommSetNumber()`, `PetscSubcommGetChild()`, `PetscSubcommContiguousParent()`

## Level

intermediate

## Location

src/sys/objects/subcomm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages